Bug 1412263 (CVE-2017-5332) - CVE-2017-5332 icoutils: Access to unallocated memory possible in extract.c
Summary: CVE-2017-5332 icoutils: Access to unallocated memory possible in extract.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5332
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1412265 1412266 1430610 1430611
Blocks: 1411254
TreeView+ depends on / blocked
 
Reported: 2017-01-11 16:08 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
3 users (show)

Fixed In Version: icoutils 0.31.1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in icoutils, in the wrestool program. An attacker could create a crafted executable that, when read by wrestool, could result in failure to allocate memory or an over-large memcpy operation, leading to a crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0837 normal SHIPPED_LIVE Important: icoutils security update 2017-03-23 05:04:55 UTC

Description Andrej Nemec 2017-01-11 16:08:23 UTC
A vulnerability was found in icoutils in extract.c. It is possible to access unallocated memory via wrestool while parsing maliciously crafted file which would make the application crash or possibly allow code execution.

References:

http://seclists.org/oss-sec/2017/q1/56

Upstream patch:

http://git.savannah.gnu.org/cgit/icoutils.git/commit/?id=1aa9f28f7bcbdfff6a84a15ac8d9a87559b1596a

Comment 1 Andrej Nemec 2017-01-11 16:11:02 UTC
Created icoutils tracking bugs for this issue:

Affects: fedora-all [bug 1412265]
Affects: epel-6 [bug 1412266]

Comment 2 Doran Moppert 2017-03-09 05:36:57 UTC
This is the essentially the same as CVE-2017-5333 (bug 1412259), but only considers the OOB read aspect.

Comment 5 errata-xmlrpc 2017-03-23 01:14:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0837 https://rhn.redhat.com/errata/RHSA-2017-0837.html


Note You need to log in before you can comment on or make changes to this bug.